# -*- coding: utf-8 -*-

from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items, Menu

#from jmb.core.conf.admin_menu import GenericMenuItem
from jmb.core.middleware.thread_local import get_current_user
from jmb.core.admin.menu import register_menu

$app_label_menu_item = items.MenuItem(
    # GENERAL
    _('$App_Label'), 
    reverse('admin:app_list', kwargs={'app_label': '$app_label'}),
    children=[
        items.MenuItem(
            _('$App_Label'),
            '',
            children=[
                items.MenuItem(_('Add $App_Label'), reverse('admin:$app_label_$app_label_add',)), 
                items.MenuItem(_('$App_Label List'), reverse('admin:$app_label_$app_label_changelist',)),
            ]
        ),
    ]
)


register_menu($app_label_menu_item, 'jmb_python_module')